Bug 21790 - Switch error page template to Bootstrap grid
Summary: Switch error page template to Bootstrap grid
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-11-08 16:36 UTC by Owen Leonard
Modified: 2019-01-03 14:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21790: Switch error page template to Bootstrap grid (1.96 KB, patch)
2018-11-08 16:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21790: Switch error page template to Bootstrap grid (2.02 KB, patch)
2018-11-09 14:22 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-08 16:36:04 UTC
The error page template should have gotten fixed along with other single-column templates.
Comment 1 Owen Leonard 2018-11-08 16:42:15 UTC
Created attachment 82102 [details] [review]
Bug 21790: Switch error page template to Bootstrap grid

This patch updates the error page template to use a Bootstrap grid
instead of YUI.

To test, apply the patch and disable Plack and restart Apache if
necessary.

Navigate to a page in Koha which doesn't exist. The error page should
look correct and adapt well to various browser widths.
Comment 2 Josef Moravec 2018-11-09 14:22:59 UTC
Created attachment 82169 [details] [review]
Bug 21790: Switch error page template to Bootstrap grid

This patch updates the error page template to use a Bootstrap grid
instead of YUI.

To test, apply the patch and disable Plack and restart Apache if
necessary.

Navigate to a page in Koha which doesn't exist. The error page should
look correct and adapt well to various browser widths.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Josef Moravec 2018-11-09 14:23:59 UTC
Small and obvious patch. Marking Passed QA.
Comment 4 Nick Clemens 2018-12-26 20:52:46 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-03 14:21:49 UTC
Enhancement, will not be backported to 18.11.x series.